set term ^;



create or alter view KOO_DEMANDS as
  select O.OBJEDNAVKA, O.ICO, O.POZNAMKA, O.DATUM_POPTAVKY, O.TERMIN_POZADOVANY, O.VYZADAL, O.DATUM_PRIJETI, FP.SUPPORT_USERNAME,
    (select count(*) POCET_ZPRAV
        from MTZ_OBJEDNAVKY_DISKUSE OD 
        where OD.OBJEDNAVKA = O.OBJEDNAVKA) POCET_ZPRAV,
    iif (cast (substring (cast (O.OBJEDNAVKA as varchar(10)) from 5 for 1) as integer) < 3, '*', '') ZMENA,
    coalesce (nullif (O.CENA_KOOPERACE_CF, 0), O.CENA) CENA,
    iif (O.SKLAD in ('K', 'O'), 'K', 'M') TYP
    from MTZ_OBJEDNAVKY O
    left outer join ODB_FIRMY_PRISTUPY FP on FP.ICO = O.ICO
    where O.DATUM_POPTAVKY is not null and O.DATUM_ODESLANI is null and O.DATUM_VYRIZENI is null^

create or alter view KOO_ORDERS as
  select O.OBJEDNAVKA, O.ICO, O.POZNAMKA, O.DATUM_ODESLANI, coalesce (O.TERMIN, O.TERMIN_POZADOVANY) TERMIN, O.VYZADAL, O.DATUM_POTVRZENI, FP.SUPPORT_USERNAME,
    (select count(*) POCET_ZPRAV
        from MTZ_OBJEDNAVKY_DISKUSE OD 
        where OD.OBJEDNAVKA = O.OBJEDNAVKA) POCET_ZPRAV,
    iif (cast (substring (cast (O.OBJEDNAVKA as varchar(10)) from 5 for 1) as integer) < 3, '*', '') ZMENA,
    coalesce (nullif (O.CENA_KOOPERACE_CF, 0), O.CENA) CENA,
    iif (O.SKLAD in ('K', 'O'), 'K', 'M') TYP
    from MTZ_OBJEDNAVKY O
    left outer join ODB_FIRMY_PRISTUPY FP on FP.ICO = O.ICO
    where O.DATUM_ODESLANI is not null and O.DATUM_VYRIZENI is null^

create or alter view KOO_ITEMS as
  select O.OBJEDNAVKA || OP.POLOZKA OBJ_POL, O.OBJEDNAVKA, OP.POLOZKA, OP.NAZEV_MATERIALU NAZEV, MM.VYKRES_DILU VYKRES, FP.SUPPORT_USERNAME,
      0 ZAKAZKA, 0 VYROBNI_CISLO, OP.MNOZSTVI, OP.JEDNOTKA, OP.MNOZSTVI_PRIJATO,
      O.TERMIN_POZADOVANY TERMIN_ZHOTOVENI, null DATUM_EXPEDICE_MATERIALU, null TERMIN_DODANI_POLOTOVARU, 
      IDN.ITEMID ID_DILU, OP.POPIS, OP.DATUM_VYRIZENI DATUM_VYRIZENI, '' ZMENA, MM.KATALOGOVE_CISLO, coalesce (OP.TERMIN_POTVRZENY, O.TERMIN) TERMIN_POTVRZENY,
      coalesce(ZARV.ARCHIV_VYKRES, ZARV2.ARCHIV_VYKRES) ARCHIV_VYKRES, 
      ZARV.DATA_DXF, ZARV.DATA_IGES, ZARV.DATA_STEP
      from MTZ_OBJEDNAVKY O
      left outer join ODB_FIRMY_PRISTUPY FP on FP.ICO = O.ICO
      join MTZ_OBJEDNAVKY_POLOZKY OP on OP.OBJEDNAVKA = O.OBJEDNAVKA
      left outer join MTZ_MATERIAL MM on MM.NAZEV_MATERIALU = OP.NAZEV_MATERIALU
      left outer join I2_GET_ID_N(MM.ID_NAKUPOVANY_DIL) IDN on 1=1
      left outer join ZAR_VYKRESY ZARV on ZARV.VYKRES = MM.VYKRES_DILU and MM.VYKRES_DILU > ''
      left outer join ZAR_VYKRESY ZARV2 on ZARV2.VYKRES = ZARV.POUZIT_VYKRES and ZARV.POUZIT_VYKRES > ''
  union all
  select O.OBJEDNAVKA || VP.POLOZKA_OBJEDNAVKY OBJ_POL, O.OBJEDNAVKA, VP.POLOZKA_OBJEDNAVKY POLOZKA, coalesce (ZARV.NAZEV, P.VYKRES) NAZEV, P.VYKRES, FP.SUPPORT_USERNAME,
        VP.ZAKAZKA, VP.VYROBNI_CISLO, max (VP.MNOZSTVI) MNOZSTVI, 'KS' JEDNOTKA, iif (max (VP.ODVEDENO) = '*', max(VP.MNOZSTVI), 0) MNOZSTVI_PRIJATO,
        max (VP.TERMIN_ZHOTOVENI) TERMIN_ZHOTOVENI, max (VP.DATUM_EXPEDICE_MATERIALU) DATUM_EXPEDICE_MATERIALU, max (VP.TERMIN_DODANI_POLOTOVARU) TERMIN_DODANI_POLOTOVARU,
        IDV.ITEMID ID_DILU, '' POPIS, max (VP.DATUM_ODVEDENI) DATUM_VYRIZENI, '' ZMENA, '' KATALOGOVE_CISLO, coalesce (max (VP.TERMIN_POTVRZENY), max(O.TERMIN)) TERMIN_POTVRZENY,
        coalesce(ZARV.ARCHIV_VYKRES, ZARV2.ARCHIV_VYKRES) ARCHIV_VYKRES,
      ZARV.DATA_DXF, ZARV.DATA_IGES, ZARV.DATA_STEP
      from MTZ_OBJEDNAVKY O
      left outer join ODB_FIRMY_PRISTUPY FP on FP.ICO = O.ICO
      join ZAK_VYROBNI_PRIKAZY VP on VP.OBJEDNAVKA = O.OBJEDNAVKA
      join ZAK_POSTUPY P on P.ZAKAZKA = VP.ZAKAZKA and P.VYROBNI_CISLO = VP.VYROBNI_CISLO and P.CISLO_OPERACE = VP.CISLO_OPERACE
      left outer join ZAR_VYKRESY ZARV on ZARV.VYKRES = replace (P.VYKRES, '@', '') and ZARV.ZRUSENO = ''
      left outer join ZAR_VYKRESY ZARV2 on ZARV2.VYKRES = ZARV.POUZIT_VYKRES and ZARV.POUZIT_VYKRES > ''
      left outer join I2_GET_ID_V(ZARV.ID_VYRABENY_DIL, 0) IDV on 1=1
      group by O.OBJEDNAVKA, VP.POLOZKA_OBJEDNAVKY, ZARV.NAZEV, FP.SUPPORT_USERNAME, P.VYKRES, VP.ZAKAZKA, VP.VYROBNI_CISLO, IDV.ITEMID, 
          ZARV.ARCHIV_VYKRES, ZARV2.ARCHIV_VYKRES, ZARV.DATA_DXF, ZARV.DATA_IGES, ZARV.DATA_STEP
^

create or alter view KOO_COMMENTS as
  select D.PKID, D.OBJEDNAVKA, D.UZIVATEL, D.ROLE, D.DATUM, D.ZPRAVA, D.STAV_OBJEDNAVKY, FP.SUPPORT_USERNAME
  from MTZ_OBJEDNAVKY_DISKUSE D
  join MTZ_OBJEDNAVKY O on O.OBJEDNAVKA = D.OBJEDNAVKA
  left outer join ODB_FIRMY_PRISTUPY FP on FP.ICO = O.ICO
  order by D.OBJEDNAVKA, D.DATUM
^

create or alter view KOO_USERS as
  select FP.SUPPORT_USERNAME, F.NAZEV COMPANY_NAME, coalesce (FO.PRIJMENI_JMENO, substring (F.NAZEV from 1 for position(' ', F.NAZEV, 5)))NAME, FO.OSLOVENI SALUTATION
    from ODB_FIRMY_PRISTUPY FP
    join ODB_FIRMY F on F.ICO = FP.ICO
    left outer join ODB_FIRMY_OSOBY FO on FO.ICO = F.ICO and FO.KOOPERACNI_PORTAL = '*'
^

/***************************************************************************************************************************/
create or alter trigger KOO_DEMANDS_AU for KOO_DEMANDS after update 
as 
begin 
  if (OLD.DATUM_PRIJETI is distinct from NEW.DATUM_PRIJETI) then
  begin
    update MTZ_OBJEDNAVKY
      set DATUM_PRIJETI = NEW.DATUM_PRIJETI
      where OBJEDNAVKA = NEW.OBJEDNAVKA;

    insert into MTZ_OBJEDNAVKY_ZMENY (OBJEDNAVKA, POLOZKA, NAZEV_SLOUPECKU, PUVODNI_HODNOTA, NOVA_HODNOTA, TYP_ZMENY, UZIVATEL)
      values (NEW.OBJEDNAVKA, 0, 'Datum doručení poptávky', 
                coalesce ((select O_STRING from DATE_TO_STR(OLD.DATUM_PRIJETI)), ''), 
                coalesce ((select O_STRING from DATE_TO_STR(NEW.DATUM_PRIJETI)), ''), 'E', NEW.SUPPORT_USERNAME);
  end
end
^

create or alter trigger KOO_ORDERS_AU for KOO_ORDERS after update 
as 
begin 
  if (OLD.DATUM_POTVRZENI is distinct from NEW.DATUM_POTVRZENI) then
  begin
    update MTZ_OBJEDNAVKY
      set DATUM_POTVRZENI = NEW.DATUM_POTVRZENI
      where OBJEDNAVKA = NEW.OBJEDNAVKA;

    insert into MTZ_OBJEDNAVKY_ZMENY (OBJEDNAVKA, POLOZKA, NAZEV_SLOUPECKU, PUVODNI_HODNOTA, NOVA_HODNOTA, TYP_ZMENY, UZIVATEL)
      values (NEW.OBJEDNAVKA, 0, 'Datum potvrzení objednávky', 
              coalesce ((select O_STRING from DATE_TO_STR(OLD.DATUM_POTVRZENI)), ''), 
              coalesce ((select O_STRING from DATE_TO_STR(NEW.DATUM_POTVRZENI)), ''), 'E', NEW.SUPPORT_USERNAME);
  end
end
^

create or alter trigger KOO_ITEMS_AU for KOO_ITEMS after update
as
begin
  --funkce funkcni pouze pro Materialove objednavky
  if (OLD.TERMIN_POTVRZENY is distinct from NEW.TERMIN_POTVRZENY) then
  begin
    update MTZ_OBJEDNAVKY_POLOZKY
      set TERMIN_POTVRZENY = NEW.TERMIN_POTVRZENY
      where OBJEDNAVKA = NEW.OBJEDNAVKA and POLOZKA = NEW.POLOZKA;

    insert into MTZ_OBJEDNAVKY_ZMENY (OBJEDNAVKA, POLOZKA, NAZEV_SLOUPECKU, PUVODNI_HODNOTA, NOVA_HODNOTA, TYP_ZMENY, UZIVATEL)
      values (NEW.OBJEDNAVKA, NEW.POLOZKA, 'Změna potvrzeného termínu', 
              coalesce ((select O_STRING from DATE_TO_STR(OLD.TERMIN_POTVRZENY)), ''), 
              coalesce ((select O_STRING from DATE_TO_STR(NEW.TERMIN_POTVRZENY)), ''), 'E', NEW.SUPPORT_USERNAME);
  end
end
^

create or alter trigger KOO_COMMENTS_BI for KOO_COMMENTS before insert or update 
as
begin
  insert into MTZ_OBJEDNAVKY_DISKUSE (OBJEDNAVKA, UZIVATEL, ROLE, DATUM, ZPRAVA, STAV_OBJEDNAVKY)
    values (NEW.OBJEDNAVKA, NEW.UZIVATEL, NEW.ROLE, NEW.DATUM, NEW.ZPRAVA, NEW.STAV_OBJEDNAVKY);

  insert into MTZ_OBJEDNAVKY_ZMENY (OBJEDNAVKA, POLOZKA, NAZEV_SLOUPECKU, PUVODNI_HODNOTA, NOVA_HODNOTA, TYP_ZMENY, UZIVATEL)
      values (NEW.OBJEDNAVKA, 0, 'Nový příspěvěk v diskusi', '', NEW.ZPRAVA, 'E', NEW.SUPPORT_USERNAME); 
end
^


set term ;^
