/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.soma.portal.kooperace.controller;

import cz.soma.portal.kooperace.dao.CommentDao;
import cz.soma.portal.kooperace.dao.UserDao;
import cz.soma.portal.kooperace.model.Comment;
import cz.soma.portal.kooperace.model.User;
import cz.soma.portal.kooperace.utils.PortalUtils;
import cz.soma.portal.kooperace.utils.SecurityUtils;
import javax.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 *
 * @author berant
 */
@Controller
public class CommentController {

    @Autowired
    CommentDao commentDao;
    @Autowired
    UserDao userDao;

    @RequestMapping(value = "/comment-add")
    public String addComment(@ModelAttribute Comment comment,
            @ModelAttribute(value = "detailType") String detailType, 
            BindingResult result,
            HttpServletRequest request) {

        //kontroly na manipulaci s odesilanyma hodnotama
        if (detailType == null || detailType.isEmpty() || comment == null) {
            return "redirect:dashboard.html";
        }
        StringBuffer redirectString = new StringBuffer("redirect:");
        redirectString.append(detailType).append("-detail.html?").append(detailType).append("=").append(comment.getCislo());
        User u = SecurityUtils.getUserById(userDao);
        comment.setSupportUsername(u.getUserId());
        comment.setDatum(PortalUtils.getCurrentDate());
        comment.setRole(u.getCompanyName());
        comment.repairEncoding();
        int pkid = 0;
        if (!result.hasErrors() && commentDao.saveComment(comment)) {
            redirectString.append("#lastComment");
        } else {
            redirectString.append("&error=true");
        }

        return redirectString.toString();
    }

}
