/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.soma.portal.kooperace.controller;

import cz.soma.portal.kooperace.dao.DemandDao;
import cz.soma.portal.kooperace.dao.OrderDao;
import cz.soma.portal.kooperace.utils.PortalUtils;
import cz.soma.portal.kooperace.utils.SecurityUtils;
import java.text.ParseException;
import java.util.Date;
import org.openide.util.Exceptions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 *
 * @author berant
 */
@Controller
public class OperativeController {

    @Autowired
    DemandDao demandDao;
    @Autowired
    OrderDao orderDao;

    @RequestMapping("/sendDemand")
    public String sendDemand(@RequestParam(required = true, value = "demand") Integer cislo,
            @RequestParam(required = false, value = "zrusit") String zrusit) {
        String redirect = "demand.html";
        if (cislo != null && cislo > 0) {
            boolean success = demandDao.confirmDemand(SecurityUtils.getUserId(), cislo, zrusit == null ? PortalUtils.getCurrentDate() : null);
            redirect = "demand-detail.html?demand=" + cislo + "&success=" + (success? "true" : "false");
        }

        return "redirect:" + redirect;
    }

    @RequestMapping("/sendOrder")
    public String sendOrder(@RequestParam(required = true, value = "order") Integer cislo,
            @RequestParam(required = false, value = "zrusit") String zrusit) {
        String redirect = "order.html";
        if (cislo != null && cislo > 0) {
            boolean success = orderDao.confirmOrder(SecurityUtils.getUserId(), cislo, zrusit == null ? PortalUtils.getCurrentDate() : null);
            redirect = "order-detail.html?order=" + cislo + "&success=" + (success? "true" : "false");
        }

        return "redirect:" + redirect;
    }
    
    @RequestMapping("/zmenaTerminu")
    public String zmenaTerminu(@RequestParam(required = true, value = "order") Integer cislo,
            @RequestParam(required = true, value = "item") Integer polozka,
            @RequestParam(required = true, value = "termin") String termin) {
        boolean success = false;
        try {
            Date d = termin == null || termin.isEmpty()? null : PortalUtils.strToDate(termin, "dd.MM.yyyy");
            success = orderDao.changeTermin(SecurityUtils.getUserId(), cislo, polozka, d);
        } catch (ParseException ex) {
            success = false;
        }
        return "redirect:order-detail.html?order=" + cislo + "&termChange=" + (success? "true" : "false");
    }

}
