/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.soma.portal.kooperace.dao;

import cz.soma.portal.kooperace.model.Comment;
import cz.soma.portal.kooperace.utils.PortalUtils;
import java.util.List;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;

public class CommentDaoImpl implements CommentDao {

    private SessionFactory sessionFactory;

    public CommentDaoImpl(SessionFactory sessionFactory) {
        this.sessionFactory = sessionFactory;
    }

    @Override
    public List<Comment> getComment(String id, int cislo, String typ) {
        Session session = sessionFactory.getCurrentSession().getSessionFactory().openSession();

        List<Comment> comments = null;
        Transaction trans = null;
        try {
            trans = session.getTransaction();
            trans.begin();
            comments = (List<Comment>) session.createQuery(
                    String.format("from Comment c where c.supportUsername = %s and c.cislo = %d and c.stavObjednavky in (%s, %s)",
                            PortalUtils.getQuotedStr(id), cislo,
                            PortalUtils.getQuotedStr(""), PortalUtils.getQuotedStr(typ))).list();
            PortalUtils.commitTransaction(trans);
        } catch (HibernateException e) {
            e.printStackTrace();
            PortalUtils.rollbackTransaction(trans);
        } finally {
            PortalUtils.closeSession(session);
        }

        return comments;
    }

    /**
     * Metoda ulozi komentar do db
     * @param comment
     * @return pkid nove vytvoreneho komentare
     */
    @Override
    public boolean saveComment(Comment comment) {
        boolean retVal = false;
        
        Session session = sessionFactory.getCurrentSession().getSessionFactory().openSession();
        try {
            session.beginTransaction();
            session.save(comment);
            session.getTransaction().commit();
            retVal = true;
        } finally {
            PortalUtils.closeSession(session);
        }
        
        return retVal;
    }

}
