/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.soma.portal.kooperace.model;

import cz.soma.portal.kooperace.utils.PortalUtils;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 *
 * @author berant
 */
@Entity
@Table(name = "KOO_COMMENTS")
public class Comment implements Serializable {

    public static final String STAV_OBJ_OBJEDNAVKA = "*";
    public static final String STAV_OBJ_POPTAVKA = "+";
    public static final String STAV_OBJ_DUO = "";

    @Id
    @Column(name = "PKID")
    private int pkid;

    @NotNull
    @Column(name = "OBJEDNAVKA")
    private int cislo;

    @NotNull
    @Size(min = 3, max = 15)
    @Column(name = "UZIVATEL")
    private String uzivatel;

    @Column(name = "ROLE")
    private String role;

    @NotNull
    @Column(name = "DATUM")
    private Date datum;

    @Column(name = "ZPRAVA")
    @NotNull
    @Size(min = 3, max = 1000)
    private String zprava;

    @Column(name = "STAV_OBJEDNAVKY")
    @NotNull
    @Size(min = 0, max = 1)
    private String stavObjednavky;

    @NotNull
    @Column(name = "SUPPORT_USERNAME")
    private String supportUsername;

    //default construktor
    public Comment() {
    }

    //parametricky construktor pro snadnejsi nastaveni prvotnich hodnot
    public Comment(String stavObjednavky, String uzivatel) {
        this.stavObjednavky = stavObjednavky;
        this.uzivatel = uzivatel;
    }

    public int getPkid() {
        return pkid;
    }

    public void setPkid(int pkid) {
        this.pkid = pkid;
    }

    public int getCislo() {
        return cislo;
    }

    public void setCislo(int cislo) {
        this.cislo = cislo;
    }

    public String getUzivatel() {
        return uzivatel;
    }

    public void setUzivatel(String uzivatel) {
        this.uzivatel = uzivatel;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public Date getDatum() {
        return datum;
    }

    public void setDatum(Date datum) {
        this.datum = datum;
    }

    public String getZprava() {
        return zprava;
    }

    public void setZprava(String zprava) {
        this.zprava = zprava;
    }

    public String getStavObjednavky() {
        return stavObjednavky;
    }

    public void setStavObjednavky(String stavObjednavky) {
        this.stavObjednavky = stavObjednavky;
    }

    public String getSupportUsername() {
        return supportUsername;
    }

    public void setSupportUsername(String supportUsername) {
        this.supportUsername = supportUsername;
    }

    public void repairEncoding() {
        role = PortalUtils.encodeString(role);
        supportUsername = PortalUtils.encodeString(supportUsername);
        uzivatel = PortalUtils.encodeString(uzivatel);
        zprava = PortalUtils.encodeString(zprava);
    }

}
