/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.soma.portal.kooperace.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 *
 * @author berant
 */
@Entity
@Table(name = "KOO_ORDERS")
public class Order implements Serializable {

    @Id
    @Column(name = "OBJEDNAVKA", unique = true)
    private int cislo;

    @Column(name = "TYP", columnDefinition = "char")
    private String typ;

    @Column(name = "ICO", nullable = false)
    private String ico;

    @Column(name = "POZNAMKA")
    private String poznamka;

    @Column(name = "VYZADAL")
    private String vyzadal;

    @Column(name = "SUPPORT_USERNAME")
    private String uzivatel;

    @Column(name = "POCET_ZPRAV")
    private int pocetNovychZprav;

    @Column(name = "DATUM_POTVRZENI")
    private Date datumPotvrzeni;

    @Column(name = "DATUM_ODESLANI")
    private Date datumOdeslani;

    @Column(name = "TERMIN")
    private Date potvrzenyTermin;

    @Column(name = "ZMENA", columnDefinition = "char")
    private String zmena;

    @Column(name = "CENA")
    private BigDecimal cena;

    @OneToMany(mappedBy = "cislo", fetch = FetchType.EAGER)
    private List<Item> items;

    public int getCislo() {
        return cislo;
    }

    public void setCislo(int cislo) {
        this.cislo = cislo;
    }

    public String getTyp() {
        return typ;
    }

    public void setTyp(String typ) {
        this.typ = typ;
    }

    public String getIco() {
        return ico;
    }

    public void setIco(String ico) {
        this.ico = ico;
    }

    public String getPoznamkaShort() {
        return (poznamka.length() < 200 ? poznamka : poznamka.substring(0, 199)).replaceAll("\n", "<br />");
    }

    public String getPoznamkaEnd() {
        return poznamka.length() < 200 ? "" : poznamka.substring(200);
    }

    public String getPoznamka() {
        return poznamka.replaceAll("\n", "<br />");
    }

    public void setPoznamka(String poznamka) {
        this.poznamka = poznamka;
    }

    public String getVyzadal() {
        return vyzadal;
    }

    public void setVyzadal(String vyzadal) {
        this.vyzadal = vyzadal;
    }

    public String getUzivatel() {
        return uzivatel;
    }

    public void setUzivatel(String uzivatel) {
        this.uzivatel = uzivatel;
    }

    public int getPocetNovychZprav() {
        return pocetNovychZprav;
    }

    public void setPocetNovychZprav(int pocetNovychZprav) {
        this.pocetNovychZprav = pocetNovychZprav;
    }

    public Date getDatumPotvrzeni() {
        return datumPotvrzeni;
    }

    public void setDatumPotvrzeni(Date datumPotvrzeni) {
        this.datumPotvrzeni = datumPotvrzeni;
    }

    public Date getDatumOdeslani() {
        return datumOdeslani;
    }

    public void setDatumOdeslani(Date datumOdeslani) {
        this.datumOdeslani = datumOdeslani;
    }

    public Date getPotvrzenyTermin() {
        return potvrzenyTermin;
    }

    public void setPotvrzenyTermin(Date potvrzenyTermin) {
        this.potvrzenyTermin = potvrzenyTermin;
    }

    public String getZmena() {
        return zmena;
    }

    public void setZmena(String zmena) {
        this.zmena = zmena;
    }

    public List<Item> getItems() {
        return items;
    }

    public void setItems(List<Item> items) {
        this.items = items;
    }

    public BigDecimal getCena() {
        return cena;
    }

    public void setCena(BigDecimal cena) {
        this.cena = cena;
    }

}
