<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <%@ include file="fragments/head.jsp" %>
    <%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
    <%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
    <%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
    <meta name="_csrf" content="${_csrf.token}"/>
    <meta name="_csrf_header" content="${_csrf.headerName}"/>
    <body>
        <div id="result"></div>
        <div class="page">
            <%@ include file="fragments/header.jsp" %>
            <div class="navigation">
                <a href="demand.html">Zpět na poptávky</a>
            </div>
            <div class="content nav">
                <div class="demand">
                    <h1>Poptávka č. ${demand.cislo}</h1>
                    <c:if test="${not empty success}"><p style="color: ${sucess='true'? 'green' : 'red'}">Stav poptávky ${success eq 'true'? 'byl' : 'nebyl'} úspěšně změněn!</p></c:if>
                      <div class="actions">
                          <a href="downloadDemand.html?demand=${demand.cislo}" target="_blank" class="print">Vytisknout objednávku</a>
                      <a href="downloadDemand.html?demand=${demand.cislo}" target="_blank" class="download" download="SOMA-poptavka-${demand.cislo}" >Stáhnout v PDF</a>
                      <c:set var="napoveda" value="${cookie.containsKey('demanddetailhelp')? cookie.orderdetailhelp.value : 'show'}" />
                      <a href="#" class="help" id="help-demand">${napoveda == 'hide'? 'Zobrazit nápovědu' : 'Skrýt nápovědu'}</a>
                    </div>
                    <div class="info" style="display: ${napoveda == 'hide'? 'none' : ''}">
                        <h3>Jak pracovat s poptávkou</h3>
                        <p>Níže si můžete prohlédnou všechny položky poptávky. Každou položku máte možnost přijmout, odmítnout, nebo podat protinávrh ve sloupečku Akce. U protinávrhu můžete editovat termín expedice a dodání polotovaru kliknutím na příslušné datum.</p>
                        <p>Pokud si přejete zaslat výrobní dokumentaci na váš zagistrovaný email, zaškrtněte jednotlivé položky (vlevo) a pak klikněte na tlačítko "Stáhnout postupku a průvodku".
                        </p>

                    </div>


                    <!-- KOOPERACNI OBJEDNAVKY -->
                    <c:if test="${demand.typ eq 'K'}">
                      <div class="links">
                          <a href="#">Stáhnout postupku a průvodku</a>
                      </div>
                      <div class="demand_detail">
                          <div id="next">></div>
                          <div id="prev"><</div>
                          <div class="demand_detail_more">
                              <div class="demand_detail_content">
                                  <table cellpadding="0" cellspacing="0" border="0">
                                      <tr class="head">
                                          <th><input type="checkbox" name="checkbox" id="checkbox" /></th>
                                          <th></th>
                                          <th style="max-width: 150px">Zakázka / Výr. číslo<br/>Popis</th>
                                          <th>Termín<br/>zhotovení</th>
                                          <th>Datum<br/>expedice materialu</th>
                                          <th>Termín dodání<br/>polotovaru</th>
                                          <th>Výkres</th>
                                          <th>ID dilu</th>
                                          <th>Název<br/>výkresu</th>
                                          <th>Množství<br/>dodat</th>
                                      </tr>

                                      <c:forEach items="${demand.items}" var="item">
                                        <tr>
                                            <td colspan="10" class="${empty item.datumVyrizeni ? 'border-left-red' : 'border-left-green'}">
                                                <table cellpadding="0" cellspacing="0" border="0">
                                                    <tr>
                                                        <td><input type="checkbox" name="pending[]" id="pending" /></td>
                                                        <td class="${item.zmena eq '*' ? 'round_green' : ''}"><span></span></td>
                                                        <td>Zak: <b>${item.zakazka}</b> VČ: <b>${item.vyrobniCislo}</b></a></td>
                                                        <td><fmt:formatDate value="${item.terminZhotoveni}" type="date" dateStyle="medium" /></td>
                                                        <td><fmt:formatDate value="${item.datumExpediceMaterialu}" type="date" dateStyle="medium" /></td>
                                                        <td><fmt:formatDate value="${item.terminDodaniPolotovaru}" type="date" dateStyle="medium" /></td>
                                                        <td><a href="#">Stáhnout</a></td>
                                                        <td>${item.idDilu}</td>
                                                        <td>${item.nazev}</td>
                                                        <td><fmt:formatNumber value="${item.mnozstvi}" pattern="##0.##" /> ${item.jednotka}</td>
                                                    </tr>
                                                    <tr class="pending">
                                                        <td colspan="2"></td>
                                                        <td colspan="8">${item.popis}</td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                      </c:forEach>

                                  </table>
                              </div>
                          </div>
                      </div>
                      <div class="links">
                          <a href="#">Stáhnout postupku a průvodku</a>
                      </div>
                    </c:if>
                    <!-- MATERIALOVE OBJEDNAVKY -->
                    <c:if test="${demand.typ eq 'M'}">
                      <div class="demand_detail">
                          <div id="next">></div>
                          <div id="prev"><</div>
                          <div class="demand_detail_more">
                              <div class="demand_detail_content">
                                  <table cellpadding="0" cellspacing="0" border="0" class="material-demand">
                                      <tr class="head">
                                          <th><input type="checkbox" name="checkbox" id="checkbox" /></th>
                                          <th></th>
                                          <th>Pol.</th>
                                          <th>Název materiálu</th>
                                          <th>Katalogové<br />číslo</th>
                                          <th>Množství</th>
                                          <th>Požadovaný termín</th>
                                          <th>Potvrzený termín</th>
                                          <th>ID Dílu</th>
                                      </tr>
                                      <c:forEach items="${demand.items}" var="item">
                                        <tr>

                                            <td class="${empty item.datumVyrizeni ? 'border-left-red' : 'border-left-green'}"><input type="checkbox" name="pending[]" id="pending" /></td>
                                            <td class="${item.zmena eq '*' ? 'round_green' : ''}"><span></span></td>
                                            <td>${item.polozka}</td>
                                            <td><b>${item.nazev}</b></td>
                                            <td>${item.katalogoveCislo}</td>
                                            <td><b><fmt:formatNumber value="${item.mnozstvi}" pattern="##0.##" /> ${item.jednotka}</b></td>
                                            <td><fmt:formatDate value="${item.terminZhotoveni}" type="date" dateStyle="medium" /></td>
                                            <td><fmt:formatDate value="${item.terminPotvrzeny}" type="date" dateStyle="medium" /></td>
                                            <td>${item.idDilu}</td>

                                        </tr>
                                        <c:if test="${not empty item.popis}">
                                          <tr class="pending" style="height: 23px;">
                                              <td colspan="2" class="${empty item.datumVyrizeni ? 'border-left-red' : 'border-left-green'}" style="border-top: 0px"></td>
                                              <td colspan="8"  style="border-top: 0px">${item.popis}</td>
                                          </tr>
                                        </c:if>
                                      </c:forEach>

                                  </table>
                              </div>
                          </div>
                      </div>
                    </c:if>

                    <div class="poznamka">
                        <h3>Poznámka</h3>
                        <span>${demand.poznamka}
                            <c:if test="${demand.cena > 0}">
                              <br/>Cena celkem: ${demand.cena} Kč
                            </c:if>
                        </span>
                    </div>
                    <div class="result">
                        <div class="buttons">
                            <c:if test="${empty demand.datumPrijeti}">
                              <a href="sendDemand.html?demand=${demand.cislo}" style="color: white">Potvrdit poptávku</a>
                            </c:if>
                            <c:if test="${not empty demand.datumPrijeti}">
                              <a href="sendDemand.html?demand=${demand.cislo}&zrusit" style="color: white">Zrušit potvrzení</a>
                            </c:if>

                        </div>
                    </div>
                </div>
            </div>
            <div class="notes">
                <h2>Poznámky k poptávce</h2>
                <c:set var="i" value="1" />
                <c:forEach items="${comments}" var="comm">
                  <c:set var="i" value="${i+1}" />
                  <div class="box">
                      <div class="profile_photo">
                          <img src="resources/img/profil1.png" />
                      </div>
                      <div class="chat">
                          <c:if test="${fn:length(comments) eq i}"><a name="lastComment"></a></c:if>
                          <div class="name">${comm.uzivatel}, ${comm.role}, <fmt:formatDate value="${comm.datum}" type="both" dateStyle="medium" /></div>
                          <div class="text"><p>${comm.zprava}</p></div>
                      </div>
                  </div>
                </c:forEach>
                <div class="textarea">
                    <h3>Vložte poznámku k poptávce</h3>
                    <form:form method="POST" action="comment-add.html" modelAttribute="comment" id="comment_form">
                      <input type="hidden" name="cislo" value="${demand.cislo}" />
                      <input type="hidden" name="detailType" value="demand" />
                      <input type="hidden" name="stavObjednavky" value="${cz.soma.portal.kooperace.model.Comment.STAV_OBJ_POPTAVKA}" />

                      <form:label path="uzivatel" title="Uživatel" /><form:input path="uzivatel" title="Uživatel" />
                      <form:textarea id="zprava" path="zprava" />
                      <div class="buttons">
                          <a href="#" onclick="document.getElementById('comment_form').submit()">Odeslat</a>
                      </div>  
                    </form:form>
                </div>
            </div>
            <%@ include file="fragments/footer.jsp" %>
        </div>
    </body>
</html>