<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <%@ include file="fragments/head.jsp" %>
    <body>
        <div class="page">
            <div class="header">
                <div class="top">
                    <a href="/" title="SOMA" class="logo">SOMA ENGINEERING</a>
                    <h2>kooperační portál</h2>
                    <%@ include file="fragments/lang.jsp" %>
                </div>
                <div class="menu">
                    <ul>
                        <li><a href="contact.html" title="Kontakt">Kontakt</a></li>
                    </ul>
                </div>
            </div>
            <sec:authorize access="isAnonymous()">
              <div class="content">
                  <div class="left">
                      <h1>Kooperační<br/>portál</h1>
                      <p>Pro využití kooperačního portálu se musíte přihlásit. Jméno a heslo přiděluje vedoucí oddělení kooperace.</p>
                      <p>Pokud jste přihlašovací údaje neobdrželi, <a href="contact.html">kontaktujte nás</a>.
                      </p>
                  </div>
                  <div class="right">
                      <h2>Přihlášení</h2>
                      
                      <c:url value="/j_spring_security_check" var="loginUrl" />

                      <form name="loginForm" action="${loginUrl}" method="post">
                          <c:if test="${param.error != null}">
                            <div class="error">
                                Špatně vyplněné údaje!
                            </div>
                          </c:if>
                          <c:if test="${param.nodatabase != null}">
                            <div class="error" title="${sessionScope["SPRING_SECURITY_LAST_EXCEPTION"].message}">
                                Služba je dočasně nedostupná.
                            </div>
                          </c:if>
                          <label for="username">Jméno:</label><input type="text" name="j_username"/>
                          <label for="passw">Heslo:</label><input type="password" name="j_password"/>
                          <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
                          <input class="submit" type="submit" value="Přihlásit se" />
                      </form>
                      <p class="short"><a href="contact.html">Pokud jste zapomněli heslo, kontaktujte nás.</a></p>
                  </div>
              </div>
            </sec:authorize>
            <sec:authorize access="isAuthenticated()">
              <% response.sendRedirect("dashboard.html");%>
            </sec:authorize>
            <iframe src="http://soma-eng.com/www/i_news/index.php" scrolling="no" frameborder="0" width="100%" height="235"></iframe>
                <%@ include file="fragments/footer.jsp" %>
        </div>
    </body>
</html>
