<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <%@ include file="fragments/head.jsp" %>
    <%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
    <%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
    <%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
    <body>
        <div class="page">
            <%@ include file="fragments/header.jsp" %>
            <div class="navigation">
                <a href="order.html">Zpět na objednávky</a>
            </div>
            <div class="content nav">
                <div class="demand">
                    <h1>Objednávka č. ${order.cislo}</h1>
                    <c:if test="${not empty success}"><p style="color: ${sucess='true'? 'green' : 'red'}">Stav objednávky ${success eq 'true'? 'byl' : 'nebyl'} úspěšně změněn!</p></c:if>
                    <c:if test="${not empty termChange}"><p style="color: ${termChange='true'? 'green' : 'red'}">Potvrzený termín ${termChange eq 'true'? 'byl úspěšně' : 'nebyl'} změněn</p></c:if>
                      <div class="actions">
                          <a href="downloadOrder.html?order=${order.cislo}" target="_blank" class="print">Vytisknout objednávku</a>
                      <a href="downloadOrder.html?order=${order.cislo}" target="_blank" class="download" download="SOMA-objednavka-${order.cislo}">Stáhnout v PDF</a>
                      <c:set var="napoveda" value="${cookie.containsKey('orderdetailhelp')? cookie.orderdetailhelp.value : 'show'}" />
                      <a href="#" class="help" id="help-order">${napoveda == 'hide'? 'Zobrazit nápovědu' : 'Skrýt nápovědu'}</a>

                    </div>
                    <div class="info" style="display: ${napoveda == 'hide'? 'none' : ''}">
                        <h3>Jak pracovat s objednávkou?</h3>
                        <p>Níže si můžete prohlédnou všechny položky objednávky. Můžete změnit počet odvedených kusů, nebo datum expedice jednoduchým kliknutím.</p>
                        <!--TODOp>Pokud si přejete zaslat 3D data nebo výrobní dokumentaci na váš zagistrovaný email, zaškrtněte jednotlivé položky (vlevo) a pak klikněte na tlačítko "Pošlete mi 3D data" resp. "Stáhnout postupku a průvodku".</p-->
                        <h3>Jak potvrdit objednávku?</h3>
                        <p>Kliknutím na tlačítko "Přijímám objednávku", umístěném pod tabulkovým přehledem, oficiálně stvrdíte a oficiálně vstupíte do obchodního vztahu. Dokud toto tlačítko nestiskne, objednávka se bude zobrazovat červeně jako Vámi nepotvrzená objednávka.</p>
                    </div>
                    <noscript><style>.info { display:none }</style></noscript>

                    <c:if test="${order.typ eq 'K'}">
                      <div class="links">
                          <a href="#" onclick="document.getElementById('stahnout-data-form').submit()">Pošlete mi 3D data</a>
                          
                      </div>
                      <div class="order">
                          <div id="next">></div>
                          <div id="prev"><</div>
                          <div class="order_more">
                              <div class="order_content">
                                  <table cellpadding="0" cellspacing="0" border="0" class="kooperace-order">
                                      <tr class="head">
                                          <th><input type="checkbox" name="checkbox" id="checkbox" /></th>
                                          <th></th>
                                          <th>Zakázka / výr. číslo</th>
                                          <th>ID dílce</th>
                                          <th>Výkres</th>
                                          <th>Název výkresu</th>
                                          <th>Množství<br/>dodat</th>
                                          <th>Termín<br/>zhotovení</th>
                                          <th>Datum<br/>expedice materiálu</th>
                                          <th>Datum<br/>vyřízení</th>
                                      </tr>
                                      <form action="downloadData/${order.cislo}.html" id="stahnout-data-form"">
                                          <c:forEach items="${order.items}" var="item">
                                            <tr class="${empty item.datumVyrizeni ? 'confirmed' : 'pending'}">

                                                <td class="${empty item.datumVyrizeni ? 'border-left-red' : 'border-left-green'}">
                                                    <input type="checkbox" name="polozka[${item.polozka}]" id="pending" 
                                                          ${not empty item.dataDxf or not empty item.dataStep or not empty item.dataIges? '' : 'disabled'}/>
                                                </td>
                                                <td class="${item.zmena eq '*' ? 'round_green' : ''}"><span></span></td>
                                                <td>Zak: <b>${item.zakazka}</b> VČ: <b>${item.vyrobniCislo}</b></a></td>
                                                <td>${item.idDilu}</td>
                                                <td>
                                                    <c:if test="${not empty item.archivVykres}">
                                                      <a href="downloadVykres/${item.archivVykres}.html?order=${order.cislo}" 
                                                         target="_blank" class="vykres_logo">
                                                          ${item.vykres}
                                                      </a>
                                                    </c:if>
                                                    <c:if test="${empty item.archivVykres}">
                                                      ${item.vykres}
                                                    </c:if>

                                                </td>
                                                <td>${item.nazev}</td>
                                                <td><fmt:formatNumber value="${item.mnozstvi}" pattern="##0.##" /> ${item.jednotka}</td>
                                                <td><fmt:formatDate value="${item.terminZhotoveni}" type="date" dateStyle="medium" /></td>
                                                <td><fmt:formatDate value="${item.datumExpediceMaterialu}" type="date" dateStyle="medium" /></td>
                                                <td><fmt:formatDate value="${item.datumVyrizeni}" type="date" dateStyle="medium" /></td>
                                            </tr>
                                            <c:if test="${not empty item.popis}">
                                              <tr class="pending" style="height: 23px;">
                                                  <td colspan="2" class="${empty item.datumVyrizeni ? 'border-left-red' : 'border-left-green'}" style="border-top: 0px"></td>
                                                  <td colspan="8"  style="border-top: 0px">${item.popis}</td>
                                              </tr>
                                            </c:if>


                                          </c:forEach>
                                      </form>
                                  </table>
                              </div>
                          </div>
                      </div>
                      <div class="links">
                          <a href="#">Pošlete mi 3D data</a>
                          <!--a href="#">Stáhnout postupku a průvodku</a-->
                      </div>  
                    </c:if>
                    <c:if test="${order.typ eq 'M'}">
                      <div class="order">
                          <div id="next">></div>
                          <div id="prev"><</div>
                          <div class="order_more">
                              <div class="order_content">
                                  <table cellpadding="0" cellspacing="0" border="0" class="material-order">
                                      <tr class="head">
                                          <th><input type="checkbox" name="checkbox" id="checkbox" /></th>
                                          <th></th>
                                          <th>Pol.</th>
                                          <th>Název materiálu</th>
                                          <th>Katalogové<br />číslo</th>
                                          <th>Množství</th>
                                          <th>Množství<br />dodáno</th>
                                          <th>Požadovaný termín</th>
                                          <th>Potvrzený termín</th>
                                          <th>Datum vyřízení</th>
                                          <th>ID Dílu</th>
                                      </tr>

                                      <c:forEach items="${order.items}" var="item">
                                        <tr class="${empty item.datumVyrizeni ? 'confirmed' : 'pending'}">
                                            <td class="${empty item.datumVyrizeni ? 'border-left-red' : 'border-left-green'}"><input type="checkbox" name="pending[]" id="pending" /></td>
                                            <td class="${item.zmena eq '*' ? 'round_green' : ''}"><span></span></td>
                                            <td>${item.polozka}</td>
                                            <td>${item.nazev}</td>
                                            <td>${item.katalogoveCislo}</td>
                                            <td><b><fmt:formatNumber value="${item.mnozstvi}" pattern="##0.##" /> ${item.jednotka}</b></td>
                                            <td><b><fmt:formatNumber value="${item.mnozstviPrijato}" pattern="##0.##" /> ${item.jednotka}</b></td>
                                            <td><fmt:formatDate value="${item.terminZhotoveni}" type="date" dateStyle="medium" /></td>
                                            <td ondblclick="doubleClickTermin(${item.polozka})">
                                                <div id="showed_termin_${item.polozka}">
                                                    <fmt:formatDate value="${item.terminPotvrzeny}" type="date" dateStyle="medium" />
                                                </div>
                                                <form style="display: none;" id="hiden_form_${item.polozka}" method="post" action="zmenaTerminu.html">
                                                    <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
                                                    <input type="hidden" name="order" value="${order.cislo}" />
                                                    <input type="hidden" name="item" value="${item.polozka}" />
                                                    <input type="text" name="termin" maxlength="10" style="width: 100px"
                                                           value="<fmt:formatDate value="${item.terminPotvrzeny}" type="date" dateStyle="medium" />" 
                                                           />
                                                </form>

                                            </td>
                                            <td><fmt:formatDate value="${item.datumVyrizeni}" type="date" dateStyle="medium" /></td>
                                            <td>${item.idDilu}</td>
                                        </tr>

                                        <c:if test="${not empty item.popis}">
                                          <tr class="pending" style="height: 23px;">
                                              <td colspan="2" class="${empty item.datumVyrizeni ? 'border-left-red' : 'border-left-green'}" style="border-top: 0px"></td>
                                              <td colspan="9"  style="border-top: 0px">${item.popis}</td>
                                          </tr>
                                        </c:if>
                                      </c:forEach>
                                  </table>
                              </div>
                          </div>
                      </div>
                    </c:if>

                    <div class="description">
                        <h3>Popis objednávky</h3>
                        <div class="less">
                            <p>${order.poznamkaShort}...</p>
                        </div>
                        <c:if test="${not empty order.poznamkaEnd}">
                          <div class="more">
                              <p>${order.poznamka}</p>
                          </div>
                          <a href="#" class="read_more">Číst více</a>
                          <a href="#" class="hide_more">Číst méně</a>
                        </c:if>
                    </div>
                    <!--TODOdiv class="changes">
                        <h3>Změny Soma</h3>
                        <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo  voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explic
                        </p>
                        <div class="more">
                            <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo  voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explic
                            </p>
                        </div>
                        <a href="#" class="read_more">Číst více</a>
                        <a href="#" class="hide_more">Číst méně</a>
                    </div-->
                    <div class="result">
                        <span>Cena celkem</span>
                        <span class="price">${order.cena} Kč</span>
                        <div class="buttons">
                            <c:if test="${empty order.datumPotvrzeni}">
                              <a href="sendOrder.html?order=${order.cislo}" style="color: white">Příjmám objednávku</a>
                            </c:if>
                            <c:if test="${not empty order.datumPotvrzeni}">
                              <a href="sendOrder.html?order=${order.cislo}&zrusit" style="color: white">Nepříjmám objednávku</a>
                            </c:if>
                        </div>
                    </div>
                </div>
            </div>
            <div class="notes">
                <h2>Poznámky k objednávce</h2>
                <c:forEach items="${comments}" var="comm">
                  <div class="box">
                      <div class="profile_photo">
                          <img src="resources/img/profil1.png" />
                      </div>
                      <div class="chat">
                          <c:if test="${fn:length(comments) eq i}"><a name="lastComment"></a></c:if>
                          <div class="name">${comm.uzivatel}, ${comm.role}</div>
                          <div class="text"><p>${comm.zprava}</p></div>
                      </div>
                  </div>
                </c:forEach>
                <div class="textarea">
                    <h3>Vložte poznámku k objednávce</h3>
                    <form:form method="POST" action="comment-add.html" modelAttribute="comment" id="comment_form">
                      <input type="hidden" name="cislo" value="${order.cislo}" />
                      <input type="hidden" name="detailType" value="order" />
                      <input type="hidden" name="stavObjednavky" value="${cz.soma.portal.kooperace.model.Comment.STAV_OBJ_OBJEDNAVKA}" />

                      <form:label path="uzivatel" title="Uživatel" /><form:input path="uzivatel" title="Uživatel" />
                      <form:textarea id="zprava" path="zprava" />
                      <div class="buttons">
                          <a href="#" onclick="document.getElementById('comment_form').submit()">Odeslat</a>
                      </div>  

                    </form:form>

                </div>
            </div>
            <%@ include file="fragments/footer.jsp" %>
        </div>
    </body>
</html>