<%-- 
    Document   : demand
    Created on : 24.10.2015, 15:00:20
    Author     : berant
--%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <%@ include file="fragments/head.jsp" %>

    <body>
        <div class="page">
            <%@ include file="fragments/header.jsp" %>

            <div class="content">
                <div class="demand">
                    <h1>Objednávky</h1>
                    <div class="filter">
                        <span>Zobrazit</span>
                        <span><label><input type="checkbox" name="all" id="all" checked class="input_filter" />Vše</label></span>
                        <span><label><input type="checkbox" name="pending" id="pending" class="input_filter" />Vámi nepotvrzená objednávka</label></span>
                        <span><label><input type="checkbox" name="confirmed" id="confirmed" class="input_filter" />Potvrzené, čekající na vyřízení</label></span>
                    </div>
                    <div class="links">
                        <a href="#">Stáhnout v PDF</a>
                        <a href="#">Vytisknout</a>
                    </div>
                    <div class="table">
                        <table cellpadding="0" cellspacing="0" border="0">
                            <tr class="head">
                                <th><input type="checkbox" name="checkbox" id="checkbox" /></th>
                                <th></th>
                                <th>Číslo objednávky</th>
                                <th>Poznámka</th>
                                <th>Datum zadání</th>
                                <th>Potvrzený termín dodání</th>
                                <th>Vyžádal</th>
                                <th>Stav objednávky</th>
                            </tr>
                            <c:forEach items="${orders}" var="order">

                              <tr class="${not empty order.datumPotvrzeni ? 'confirmed' : 'pending'}">
                                  <td class="${not empty order.datumPotvrzeni ? 'border-left-green' : 'border-left-red'}"><input type="checkbox" name="confirm[]" id="confirm" /></td>
                                  <td class="${order.zmena eq '*' ? 'round_green' : ''}"><span></span></td>
                                  <td><a href="order-detail.html?order=${order.cislo}">${order.cislo}</a></td>

                                  <td class="message">
                                      <c:if test="${order.pocetNovychZprav > 0}">
                                        <span>${order.pocetNovychZprav}</span>
                                      </c:if></td>
                                  <td><fmt:formatDate value="${order.datumOdeslani}" type="date" dateStyle="long" /></td>
                                  <td><fmt:formatDate value="${order.potvrzenyTermin}" type="date" dateStyle="long" /></td>
                                  <td>${order.vyzadal}</td>

                                  <c:choose>
                                    <c:when test="${not empty order.datumPotvrzeni}">
                                      <td class="green">Potvrzené, čekající vyřízení</td>
                                    </c:when>
                                    <c:when test="${empty order.datumPotvrzeni}">
                                      <td class="darkred">Vámi nepotvrzená objednávka</td>
                                    </c:when>
                                    <c:otherwise>
                                      <td class="red">Neznámé</td>
                                    </c:otherwise>
                                  </c:choose>

                              </tr>
                            </c:forEach>
                        </table>
                    </div>
                </div>
            </div>

            <%@ include file="fragments/footer.jsp" %>
        </div>
    </body>
</html>
